/**
 * Imports
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _virtex = require('virtex');

/**
 * Vars
 */

var setAttribute = _virtex.actions.setAttribute;
var appendChild = _virtex.actions.appendChild;

/**
 * Create a DOM element
 */

function createElement(doc, dispatch, tag, attrs, children) {
  var node = doc.createElement(tag);

  if (attrs) {
    for (var _name in attrs) {
      dispatch(setAttribute(node, _name, attrs[_name]));
    }
  }

  if (children) {
    for (var i = 0; i < children.length; i++) {
      dispatch(appendChild(node, children[i]));
    }
  }

  return node;
}

/**
 * Exports
 */

exports['default'] = createElement;
module.exports = exports['default'];